// 获取人员定位模块查询项的数据字典
import request from '@/utils/request'
/**
 * 获取下拉框的选项数据
 * @param {string} type
 * 建筑 - Build
 * 楼层 - FloorNo
 * 月份里的天 - DayOfMonth
 * 周里的天 - DayOfWeek
 * 比较运算符 - ComparisonOperator
 * 逻辑运算符 - LogicalOperator
 * 巡检签到方法 - CheckInMethod
 * 巡检周期类型 - CycleType
 * 巡检周期单位 - CycleUnit
 * 巡检周期指定次数类型 - CycleSpecifyType
 * 巡检周期异常类型 - ExceptionType
 * 巡检项目数据类型 - ItemDataType
 * 巡检上报途径 - ReportWay
 * 巡检任务状态 - TaskStatus
 * @returns
 */
export function getOptions(type, data) {
  return request({
    url: `patrol/options/get${type}Options`,
    method: 'post',
    data
  })
}
