const data = [
  {
    alwaysShow: true,
    children: [
      {
        component: 'system/user/index',
        hidden: false,
        meta: {
          icon: 'peoples',
          noCache: true,
          title: '用户管理',
          roles: ['admin', 'editor']
        },
        name: 'User',
        path: 'user'
      },
      {
        component: 'system/role/index',
        hidden: false,
        meta: {
          icon: 'role',
          noCache: true,
          title: '角色管理',
          roles: ['admin', 'editor']
        },
        name: 'Role',
        path: 'role'
      },
      {
        component: 'system/menu/index',
        hidden: false,
        meta: { icon: 'menu', noCache: true, title: '菜单管理' },
        name: 'Menu',
        path: 'menu'
      },
      {
        component: 'system/dept/index',
        hidden: false,
        meta: {
          icon: 'dept',
          noCache: true,
          title: '部门管理',
          roles: ['admin', 'editor']
        },
        name: 'Dept',
        path: 'dept'
      },
      {
        component: 'system/job/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '岗位管理',
          roles: ['admin', 'editor']
        },
        name: 'Job',
        path: 'job'
      },
      {
        component: 'system/dict/index',
        hidden: false,
        meta: {
          icon: 'dictionary',
          noCache: true,
          title: '字典管理',
          roles: ['admin', 'editor']
        },
        name: 'Dict',
        path: 'dict'
      },
      {
        component: 'system/timing/index',
        hidden: false,
        meta: {
          icon: 'timing',
          noCache: true,
          title: '定时任务',
          roles: ['admin', 'editor']
        },
        name: 'Timing',
        path: 'timing'
      },
      {
        component: 'system/icons/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '图标管理',
          roles: ['admin', 'editor']
        },
        name: 'icons',
        path: 'icons'
      },
      {
        component: 'system/personnelType/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '人员类型管理',
          roles: ['admin', 'editor']
        },
        name: 'personnelType',
        path: 'personnelType'
      },
      {
        component: 'system/personnel/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '人员管理',
          roles: ['admin', 'editor']
        },
        name: 'personnel',
        path: 'personnel'
      },
      {
        component: 'system/configure/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '系统配置',
          roles: ['admin', 'editor']
        },
        name: 'configure',
        path: 'configure'
      }
    ],
    component: 'Layout',
    hidden: false,
    meta: { icon: 'system', noCache: true, title: '系统管理', roles: ['admin', 'editor'] },
    name: '系统管理',
    path: '/system',
    redirect: 'noRedirect'
  },
  {
    alwaysShow: true,
    children: [
      {
        component: 'monitor/online/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '在线用户',
          roles: ['admin', 'editor']
        },
        name: 'OnlineUser',
        path: 'online'
      },
      {
        component: 'monitor/log/index',
        hidden: false,
        meta: {
          icon: 'log',
          noCache: false,
          title: '操作日志',
          roles: ['admin', 'editor']
        },
        name: 'Log',
        path: 'logs'
      },
      {
        component: 'monitor/log/errorLog',
        hidden: false,
        meta: {
          icon: 'error',
          noCache: true,
          title: '异常日志',
          roles: ['admin', 'editor']
        },
        name: 'ErrorLog',
        path: 'errorLog'
      },
      {
        component: 'monitor/server/index',
        hidden: false,
        meta: {
          icon: 'codeConsole',
          noCache: true,
          title: '服务监控',
          roles: ['admin', 'editor']
        },
        name: 'ServerMonitor',
        path: 'server'
      }
    ],
    component: 'Layout',
    hidden: false,
    meta: { icon: 'monitor', noCache: true, title: '系统监控', roles: ['admin', 'editor'] },
    name: '系统监控',
    path: '/monitor',
    redirect: 'noredirect'
  },
  {
    alwaysShow: true,
    children: [
      {
        component: 'positioning/map/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '定位地图',
          roles: ['admin', 'editor']
        },
        name: 'map',
        path: 'map'
      },
      {
        component: 'positioning/area/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '空间区域',
          roles: ['admin', 'editor']
        },
        name: 'area',
        path: 'area'
      },,
      {
        component: 'positioning/fence/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '电子围栏',
          roles: ['admin', 'editor']
        },
        name: 'fence',
        path: 'fence'
      },
      {
        component: 'positioning/track/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '历史轨迹',
          roles: ['admin', 'editor']
        },
        name: 'track',
        path: 'track'
      },
      {
        component: 'positioning/tracking/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '人员追踪',
          roles: ['admin', 'editor']
        },
        name: 'tracking',
        path: 'tracking'
      },

      {
        component: 'positioning/beacon/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '信标查询',
          roles: ['admin', 'editor']
        },
        name: 'beacon',
        path: 'beacon'
      },
      {
        component: 'positioning/labels/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '标签管理',
          roles: ['admin', 'editor']
        },
        name: 'labels',
        path: 'labels'
      },{
        component: 'positioning/railAreaInOutLog/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '进出记录',
          roles: ['admin', 'editor']
        },
        name: 'railAreaInOutLog',
        path: 'railAreaInOutLog'
      },{
        component: 'positioning/countArea/index',
        hidden: false,
        meta: {
          icon: 'Steve-Jobs',
          noCache: true,
          title: '统计区域',
          roles: ['admin', 'editor']
        },
        name: 'countArea',
        path: 'countArea'
      }
    ],
    component: 'Layout',
    hidden: false,
    meta: { icon: 'monitor', noCache: true, title: '人员定位', roles: ['admin', 'editor'] },
    name: 'positioning',
    path: '/positioning',
    redirect: 'noredirect'
  }
]

mockJson = {
  code: 20000,
  msg: '获取菜单成功',
  data
}
