// 火灾配置
export const fireTableOptions = [
  {
    index: '',
    prop: 'address',
    label: '设备地址',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'loginType',
    label: '登录类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'deviceType',
    label: '设备类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'function',
    label: '功能',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },

  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'location',
    label: '安装位置',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'dataTag',
    label: '数据标签',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionX',
    label: '经度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionY',
    label: '纬度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionZ',
    label: '高度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID',
    label: '摄像头1',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID2',
    label: '摄像头2',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 周界配置
export const perimeterTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'x1',
    label: '起点经度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'x2',
    label: '终点经度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'y1',
    label: '起点纬度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },

  {
    index: '',
    prop: 'y2',
    label: '终点纬度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID',
    label: '摄像头1',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID2',
    label: '摄像头2',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },

  {
    index: '',
    prop: 'dataTag',
    label: '数据标签',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'desc',
    label: '描述',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 可视对讲
export const visualIntercomTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '大门口',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'sn',
    label: '序列号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mac',
    label: 'mac地址',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'ip',
    label: 'ip地址',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'x',
    label: '经度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'y',
    label: '纬度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'z',
    label: '高度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID',
    label: '摄像头',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 激光云台
export const JGYTTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionX',
    label: '经度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionY',
    label: '纬度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionZ',
    label: '高度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'desc',
    label: '描述',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'cameraID',
    label: '摄像头ID',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'ndhh',
    label: '浓度报警',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },

  {
    index: '',
    prop: 'ndhi',
    label: '浓度预警',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'nd',
    label: '浓度值',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'gq',
    label: '光强',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },

  {
    index: '',
    prop: 'spjd',
    label: '水平角度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'czjd',
    label: '垂直角度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 广播设备
export const deviceTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'sn',
    label: '位置描述',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'sn',
    label: '高度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mac',
    label: '所属部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'ip',
    label: '用途',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'ip',
    label: '启用状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

