// 关联监测点
export const monitoringPointTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '监测点名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'type',
    label: '监测点类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'code',
    label: '监测点编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 检查记录
export const checkRecordTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '检查日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '检查人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'checkContent',
    label: '检查内容',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'checkState',
    label: '检查状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 检测记录
export const detectRecordTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '检测日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'innerUserId',
    label: '内部检测人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'outerUserId',
    label: '外部检测人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'detectState',
    label: '检测状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 保养记录
export const maintainRecordTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '登记日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'startTime',
    label: '保养开始时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'endTime',
    label: '保养结束时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'maintainPerson',
    label: '保养负责人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'maintainDepart',
    label: '保养负责单位',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'registerUser',
    label: '登记人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'maintenanceAmount',
    label: '花费金额',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 维修记录
export const repairRecordTableOptions = [
  {
    index: '',
    prop: 'startTime',
    label: '维修开始日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'endTime',
    label: '维修完成日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'repairUser',
    label: '维修负责人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'repairDepart',
    label: '维修负责单位',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'amount',
    label: '花费金额',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 停用记录
export const stopRecordTableOptions = [
  {
    index: '',
    prop: 'date',
    label: '日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'type',
    label: '类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'registerUser',
    label: '登记人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 巡检记录
export const patrolRecordTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '巡检时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '巡检人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'patrolType',
    label: '巡检类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'result',
    label: '检查结果',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 附件说明
export const attachmentDescTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '备注',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '附件',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'content',
    label: '操作',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 设备批量处理
export const deviceBatchTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'floorNo',
    label: '楼层',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '设备名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'status',
    label: '状态',
    width: '60',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
