// 管网
export const networkTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '200',
    align: 'left',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'typeStr',
    label: '类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'departmentName',
    label: '所属部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 控制点
export const controlpointTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'typeName',
    label: '类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'typeIconPath',
    label: '图标',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'networkName',
    label: '隶属管网',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'parentName',
    label: '前一控制点',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'buriedDepth',
    label: '埋深',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mileage',
    label: '里程',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'inPipeLineCode',
    label: '进管管线号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'inPipeLineTypeName',
    label: '进管类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 控制点类型
export const controlpointTypeTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'iconName',
    label: '图标名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'iconPath',
    label: '图标',
    width: '420',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 管线类型
export const lineTypeTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'color',
    label: '颜色',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'width',
    label: '宽度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]