export const userTableOptions = [
  {
    index: '',
    prop: 'userName',
    label: '用户名',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'realName',
    label: '姓名',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentName',
    label: '部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'userStatus',
    label: '状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

export const roleTableOptions = [
  {
    index: '',
    prop: 'roleName',
    label: '名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'dataScope',
  //   label: '数据权限',
  //   width: '',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'level',
  //   label: '角色级别',
  //   width: '80',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'roleSort',
    label: '角色排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'roleStatus',
    label: '角色状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'remark',
    label: '描述',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

export const menuTableOptions = [
  {
    index: '',
    prop: 'title',
    label: '菜单标题',
    width: '160',
    align: 'left',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'icon',
    label: '图标',
    width: '80',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'menuSort',
    label: '排序',
    width: '80',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'permission',
    label: '权限标识',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'component',
    label: '组件路径',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'iframe',
    label: '外链',
    width: '80',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'cache',
    label: '缓存',
    width: '80',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'hidden',
    label: '隐藏',
    width: '80',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //     index: '',
  //     prop: 'createTime',
  //     label: '创建日期',
  //     width: '160',
  //     align: 'center',
  //     fixed: false,
  //     sortable: false
  // }
]

export const deptTableOptions = [
  {
    index: '',
    prop: 'departmentName',
    label: '名称',
    width: '',
    align: 'left',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentSort',
    label: '排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //     index: '',
  //     prop: 'enabled',
  //     label: '状态',
  //     width: '',
  //     align: 'center',
  //     fixed: false,
  //     sortable: false,
  //     slot: true
  // },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

export const jobTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentNameSort',
    label: '排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'enabled',
    label: '状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'createTime',
    label: '创建日期',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

export const timingTableOptions = [
  // {
  //   index: '',
  //   prop: 'id',
  //   label: '任务ID',
  //   width: '170',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'jobGroupName',
    label: '任务组名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'jobName',
    label: '任务名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'jobStatus',
    label: '状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'cronExpression',
    label: 'cron表达式',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'startTime',
    label: '运行开始时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'endTime',
    label: '运行结束时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'nextStartTime',
    label: '下次执行时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
]
// 图标管理
export const iconTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '图标名称',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'typeStr',
    label: '图标类型',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'path',
    label: '图标',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 人员类型管理
export const personTypeTableOptions = [
  {
    index: '',
    prop: 'typeName',
    label: '人员类型名称',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'belongStr',
    label: '人员类型所属模块',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'iconName',
    label: '图标名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'iconPath',
    label: '图标',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 人员类型管理
export const personTableOptions = [
  {
    index: '',
    prop: 'workNo',
    label: '工号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '姓名',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'typeName',
    label: '人员类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentName',
    label: '部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'positionName',
    label: '职位',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'sexName',
  //   label: '性别',
  //   width: '',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'labelStr',
    label: '标签',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'oneKeyAlarmStr',
    label: '一键报警',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'positioningOnlineStr',
    label: '定位状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'commOnlineStr',
    label: '通讯状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 配置管理
export const configureTableOptions = [
  // {
  // index: '',
  // prop: 'name',
  // label: '名称',
  // width: '',
  // align: 'center',
  // fixed: false,
  // sortable: false
  // },
  // {
  // index: '',
  // prop: 'type',
  // label: '类型',
  // width: '',
  // align: 'center',
  // fixed: false,
  // sortable: false
  // },
  {
    index: '',
    prop: 'description',
    label: '描述',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'value',
    label: '数据',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 消息管理
export const messageTableOptions = [
  {
    index: '',
    prop: 'baseCreateTime',
    label: '时间',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'content',
    label: '消息内容',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'read',
    label: '已读状态',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'baseModifyTime',
    label: '已读时间',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 建筑配置管理
export const buildTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '建筑ID',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '建筑名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'abbName',
    label: '建筑缩写名',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'positioningBuildId',
    label: '定位系统Id',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'countareaPanelDisplay',
  //   label: '人员统计模板显示',
  //   width: '200',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'countareaPanelOpen',
  //   label: '人员统计默认打开',
  //   width: '200',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'debugPanelDisplay',
  //   label: '调试面板显示',
  //   width: '200',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'floorPanelDisplay',
  //   label: '楼层选择面板显示',
  //   width: '200',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
]

// 楼层管理
export const floorTableOptions = [
  {
    index: '',
    prop: 'buildId',
    label: '建筑ID',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '楼层名称',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'modelId',
    label: '模型id',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'mapPath',
    label: '地图路径',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'single',
    label: '单楼层',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 模型管理
export const modelTableOptions = [
  {
    index: '',
    prop: 'id',
    label: '模型ID',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'type',
    label: '类型',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '模型名称',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'description',
    label: '模型描述',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'modelPath',
    label: '模型文件路径',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

export const logLoginTableOptions = [
  {
    index: '',
    prop: 'userName',
    label: '用户名',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'ipAddress',
    label: '登录IP',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //     index: '',
  //     prop: 'ipLocation',
  //     label: '登录地点',
  //     width: '',
  //     align: 'center',
  //     fixed: false,
  //     sortable: false
  // },
  {
    index: '',
    prop: 'browser',
    label: '浏览器',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'os',
    label: '操作系统',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '登录时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
    slot: true,
  },
]
