import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'leak/laserPtz/config/insert',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'leak/laserPtz/config/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'leak/laserPtz/config/update',
    method: 'post',
    data
  })
}

export default { add, edit, del }