// 选择人员
export const selectUserTableOptions = [
  {
    index: '',
    prop: 'workNo',
    label: '工号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '姓名',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'departmentName',
    label: '部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positionName',
    label: '岗位',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择部门
export const selectDepartmentTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '部门编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'departmentName',
    label: '部门名称',
    width: '240',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择区域
export const selectAreaTableOptions = [
  {
    index: '',
    prop: 'areaName',
    label: '风险区域名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择巡检标签
export const selectPatrolLableTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '标签编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },{
    index: '',
    prop: 'name',
    label: '标签名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },{
    index: '',
    prop: 'description',
    label: '标签描述',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择巡检对象
export const selectPatrolObjectTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '巡检对象编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },{
    index: '',
    prop: 'name',
    label: '巡检对象名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },{
    index: '',
    prop: 'typeStr',
    label: '巡检对象类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择检查点
export const selectCheckPointTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '检查点名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'type',
    label: '检查点类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'areaName',
    label: '所属区域',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 选择重大危险源
export const selectDangerOriginTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '重大危险源名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'level',
    label: '等级',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: 'R',
    prop: 'R',
    label: 'R值',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'areaName',
    label: '所属区域',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 巡检标签批量处理
export const patrolLabelBatchTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'floorNo',
    label: '楼层',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '标签名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'status',
    label: '状态',
    width: '60',
    align: 'center',
    fixed: false,
    sortable: false
  }
]