// 设备台账
export const ledgerTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'typeStr',
    label: '类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'model',
    label: '规格型号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentStr',
    label: '所属部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'areaStr',
    label: '所属区域',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'statusStr',
    label: '使用状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 设备类型
export const typeTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'left',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'sort',
    label: '排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationEnableStr',
    label: '检定管理',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 扩展属性设置
export const extensionConfigTableOptions = [
  {
    index: '',
    prop: 'field',
    label: '编号',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'componentTypeStr',
    label: '组件类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'sort',
    label: '排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'inWindowDataStr',
    label: '在窗口显示',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'isTagStr',
    label: '数据标签',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'isRequiredStr',
    label: '必填',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 校验记录
export const calibrationRecordTableOptions = [
  {
    index: '',
    prop: 'calibrationTime',
    label: '检验时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationManufacturer',
    label: '检定厂家',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 设备检定
export const calibrationTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'typeStr',
    label: '类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'model',
    label: '规格型号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationPeriod',
    label: '检定周期(月)',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationLastManufacturer',
    label: '最近检定厂家',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationLastTime',
    label: '最近检定时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'calibrationNextTime',
    label: '下一次检定时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 设备维护保养
export const maintenanceTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'typeStr',
    label: '类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'model',
    label: '规格型号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentStr',
    label: '所属部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'areaStr',
    label: '所属区域',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'statusStr',
    label: '使用状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 维修保养记录
export const maintenanceRecordTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '设备编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'equipmentName',
    label: '设备名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'model',
    label: '设备型号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'contentType',
    label: '保养内容',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'reasons',
    label: '故障现象或原因',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'maintenanceTeam',
    label: '维修保养队伍',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'maintenancePerson',
    label: '维修保养人员',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'supervisoryPerson',
    label: '监督人',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
// 井场实时数据台账
export const wellTimeDataTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: true,
  },
]